Arch Floor

From FreeCAD Documentation
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎português • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Arch Rebar.svg Rebar Previous:

Arch Floor.svg Arch Floor

Menu location
Arch → Floor
Workbenches
Arch
Default shortcut
F L
Introduced in version
-
See also
Arch Building, Arch BuildingPart


Description

The Arch Floor is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects (walls and structures) can use to set their own height automatically. They are mostly used to organize your model.

How to use

  1. Optionally, select one or more objects to be included in your new floor.
  2. Press the Arch Floor.svg Arch Floor button or press the F then L keys.

Options

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add.svg Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove.svg Arch Remove tool.

Properties

  • DATAHeight: The height of the floor, to be used by its child objects

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Floor tool can be used in macros and from the Python console by using the following function:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch Rebar.svg Rebar Previous: